## imcode.server.document
Class RoleIdToDocumentPermissionSetTypeMappings.Mapping

    java.lang.Object
      imcode.server.document.RoleIdToDocumentPermissionSetTypeMappings.Mapping

Enclosing class:
  RoleIdToDocumentPermissionSetTypeMappings

    public static class RoleIdToDocumentPermissionSetTypeMappings.Mapping

extends java.lang.Object

Constructor Summary
`RoleIdToDocumentPermissionSetTypeMappings.Mapping(RoleId roleId, DocumentPermissionSetTypeDomainObject documentPermissionSetType)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`DocumentPermissionSetTypeDomainObject` `getDocumentPermissionSetType()`
`RoleId` `getRoleId()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleIdToDocumentPermissionSetTypeMappings.Mapping

    public RoleIdToDocumentPermissionSetTypeMappings.Mapping(RoleId roleId,
                                                             DocumentPermissionSetTypeDomainObject documentPermissionSetType)

Method Detail

### getDocumentPermissionSetType

    public DocumentPermissionSetTypeDomainObject getDocumentPermissionSetType()

### getRoleId

    public RoleId getRoleId()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`